
Redmine - Defect #10881

500 error when accessing repositories tab - configured svn repository

2012-05-10 20:26 - vi palla

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.4.1

Description

For a Project configured SVN repository. When accessing repositories tab gives the following error.

ActionView::TemplateError (undefined method `repository' for

#<ActiveRecord::Associations::BelongsToAssociation:0x0000002353b790>) on line #3 of app/views/issues/_changesets.html.erb:

1: <% changesets.each do |changeset| >

2:     <div class="changeset <= cycle('odd', 'even') >">

3:     <p><= link_to_revision(changeset, changeset.repository,

4:                             :text => "#{l(:label_revision)} #{changeset.format_identifier}") ><br />

5:         <span class="author"><= authoring(changeset.committed_on, changeset.author) %></span></p>

6:     <div class="wiki">

app/views/issues/_changesets.html.erb:3:in `block in _run_erb_app47views47issues47_changesets46htm

l46erb_locals_changesets_object'

    app/views/issues/_changesets.html.erb:1:in `each'

    app/views/issues/_changesets.html.erb:1

    app/views/issues/show.html.erb:110

    app/controllers/issues_controller.rb:118:in `block (2 levels) in show'

    app/controllers/issues_controller.rb:115:in `show'

    &lt;internal:prelude&gt;:10:in `synchronize'

    /usr/local/lib/ruby/1.9.1/webrick/httpserver.rb:138:in `service'

    /usr/local/lib/ruby/1.9.1/webrick/httpserver.rb:94:in `run'

    /usr/local/lib/ruby/1.9.1/webrick/server.rb:191:in `block in start_thread'

 Rendering /opt/redmine/public/500.html (500 Internal Server Error)

[2012-05-10 12:11:49] WARN  Could not determine content-length of response body. Set content-length of the response or set

Response#chunked = true

History

#1 - 2012-05-10 20:27 - vi palla

ActionView::TemplateError (undefined method `repository' for #<ActiveRecord::Associations::BelongsToAssociation:0x0000002353b790>) on line #3

of app/views/issues/_changesets.html.erb:

1: <% changesets.each do |changeset| >

2:     <div class="changeset <= cycle('odd', 'even') >">

3:     <p><= link_to_revision(changeset, changeset.repository,

4:                             :text => "#{l(:label_revision)} #{changeset.format_identifier}") ><br />

5:         <span class="author"><= authoring(changeset.committed_on, changeset.author) %></span></p>

6:     <div class="wiki">

app/views/issues/_changesets.html.erb:3:in `block in _run_erb_app47views47issues47_changesets46html46erb_local

s_changesets_object'

    app/views/issues/_changesets.html.erb:1:in `each'

    app/views/issues/_changesets.html.erb:1

    app/views/issues/show.html.erb:110

    app/controllers/issues_controller.rb:118:in `block (2 levels) in show'

    app/controllers/issues_controller.rb:115:in `show'

    &lt;internal:prelude&gt;:10:in `synchronize'

    /usr/local/lib/ruby/1.9.1/webrick/httpserver.rb:138:in `service'

    /usr/local/lib/ruby/1.9.1/webrick/httpserver.rb:94:in `run'

    /usr/local/lib/ruby/1.9.1/webrick/server.rb:191:in `block in start_thread'

 Rendering /opt/redmine/public/500.html (500 Internal Server Error)

[2012-05-10 12:11:49] WARN  Could not determine content-length of response body. Set content-length of the response or set Response#chunked =
true

[2012-05-10 12:11:51] WARN  Could not determine content-length of response body. Set content-length of the response or set Response#chunked =

true

[2012-05-10 12:12:01] WARN  Could not determine content-length of response body. Set content-length of the response or set Response#chunked =

true

[2012-05-10 12:18:24] WARN  Could not determine content-length of response body. Set content-length of the response or set Response#chunked =

true

#2 - 2012-05-10 20:41 - Mischa The Evil

Any plugins? See submissions...

#3 - 2012-05-10 21:14 - vi palla

Redmine version 1.4.1. ruby 1.9.3, gem 1.8.21, rails 3.2.2

In the trunk we pulled out version 9323 on 4/5 have redmine/vendor/plugins directory.. and we have added new plugin to it to add links to subversion

repository.

Workflow and settings works fine except the repository tab.

#4 - 2012-05-11 11:34 - Mischa The Evil

vi palla wrote:

Redmine version 1.4.1. ruby 1.9.3, gem 1.8.21, rails 3.2.2

 Redmine 1.4.x doesn't support Rails 3.x AFAIK.

In the trunk we pulled out version 9323 on 4/5 have redmine/vendor/plugins directory..

 Not sure what you exactly mean with this sentence. Why did you revert changeset r9323 (although it doesn't seem to be related)? And what do you

mean with "on 4/5 have redmine/vendor/plugins directory"?

and we have added new plugin to it to add links to subversion repository.

 This can be the culprit of your issue too...

#5 - 2012-05-12 10:15 - Jean-Philippe Lang

- Resolution set to Cant reproduce

#6 - 2012-05-14 21:29 - vi palla

Redmine 1.4.x doesn't support Rails 3.x AFAIK.

Is it not supported for subversion?

#7 - 2013-04-13 12:18 - Jean-Baptiste Barth

- Status changed from New to Closed

- Priority changed from Urgent to Normal

vi palla wrote:

Redmine 1.4.x doesn't support Rails 3.x AFAIK.

 Good catch, that might be related to the issue above. Please reproduce with a fresh 2.2.x or 2.3.x version and without any plugin and reopen if the

problem still occurs. Thanks.
